This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 565576 - (CVE-2007-0008, CVE-2007-0009) CVE-2007-0008 CVE-2007-0009 NSS: SSLv2 protocol buffer overflows
CVE-2007-0008 CVE-2007-0009 NSS: SSLv2 protocol buffer overflows
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=redhat,reporte...
: Security
Depends On: 230399 565580 565584
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-15 11:53 EST by Tomas Hoger
Modified: 2016-06-10 17:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 17:21:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2010-02-15 11:53:22 EST
Two security flaws were reported in NSS's SSLv2 protocol implementation:

CVE-2007-0008:
Integer underflow in the SSLv2 support in Mozilla Network Security Services (NSS) before 3.11.5, as used by Firefox before 1.5.0.10 and 2.x before 2.0.0.2, SeaMonkey before 1.0.8, Thunderbird before 1.5.0.10, and certain Sun Java System server products before 20070611, allows remote attackers to execute arbitrary code via a crafted SSLv2 server message containing a public key that is too short to encrypt the "Master Secret", which results in a heap-based overflow.

https://bugzilla.mozilla.org/show_bug.cgi?id=364319
http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=482

CVE-2007-0009:
Stack-based buffer overflow in the SSLv2 support in Mozilla Network Security Services (NSS) before 3.11.5, as used by Firefox before 1.5.0.10 and 2.x before 2.0.0.2, Thunderbird before 1.5.0.10, SeaMonkey before 1.0.8, and certain Sun Java System server products before 20070611, allows remote attackers to execute arbitrary code via invalid "Client Master Key" length values.

https://bugzilla.mozilla.org/show_bug.cgi?id=364323
http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=483

Note You need to log in before you can comment on or make changes to this bug.